Skip to main content
POST
/
external
/
exhibitors
/
search-by-company-name
Search exhibitors by company name
curl --request POST \
  --url https://platform.lensmor.com/external/exhibitors/search-by-company-name \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "company_name": "<string>",
  "page": 1,
  "pageSize": 20
}
'
{
  "items": [
    {
      "id": "<string>",
      "companyName": "<string>",
      "matched_event_ids": [
        "<string>"
      ],
      "domain": "<string>",
      "description": "<string>",
      "website": "<string>",
      "industry": "<string>",
      "employeeCount": 123,
      "country": "<string>",
      "logo": "<string>",
      "dataSource": "<string>",
      "linkedinUrl": "<string>",
      "fundingRound": "<string>",
      "isRecommended": true,
      "recommendationRank": 123,
      "matchStatus": "<string>",
      "matchScore": 123,
      "matchTier": "<string>",
      "matchReason": "<string>",
      "categories": [
        "<string>"
      ],
      "techStacks": [
        "<string>"
      ],
      "buyingSignalTags": [
        "<string>"
      ],
      "buyingSignalStatus": "<string>",
      "buyingSignals": [
        {
          "signalTag": "<string>",
          "signalScore": 123,
          "analyzedAt": "<string>",
          "signalDate": "<string>",
          "sourceType": "<string>",
          "sourceTitle": "<string>",
          "sourceUrl": "<string>",
          "evidenceSummary": "<string>",
          "relevanceToIcp": "<string>",
          "recommendedPlay": "<string>",
          "confidence": "<string>",
          "directOrInferred": "<string>"
        }
      ]
    }
  ],
  "total": 123,
  "page": 123,
  "pageSize": 123,
  "totalPages": 123,
  "hasMore": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
company_name
string
required
Required string length: 1 - 200
page
integer
default:1
Required range: x >= 1
pageSize
integer
default:20
Required range: 1 <= x <= 100

Response

Paginated exhibitors

items
object[]
required
total
integer
required
page
integer
required
pageSize
integer
required
totalPages
integer
required
hasMore
boolean
required